petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscScalarView

Prints an array of scalars; useful for debugging.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscScalarView(PetscInt N,const PetscScalar idx[],PetscViewer viewer)

Collective on PetscViewer Many br

### Input Parameters

| N | - number of scalars in array Many br
| idx | - array of scalars Many br
| viewer | - location to print array, PETSC_VIEWER_STDOUT_WORLD, PETSC_VIEWER_STDOUT_SELF or 0 Many br

Many br

Developer Notes: idx cannot be const because may be passed to binary viewer where byte swappping is done Many br

### See Also

PetscIntView(), PetscRealView()

Level:intermediate
Location:src/sys/error/err.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages